
QGIS Application - Bug report #1735

Support newer GRASS version (modules directories)

2009-06-14 10:36 PM - cgsbob -

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 11795

Description

When I compile QGIS I get this error:

CMake Error at src/plugins/grass/CMakeLists.txt:2 (SUBDIRS):

   subdirs Incorrect SUBDIRS command.  Directory: modules-6.5 does not exists.

With a little research, I notice that the grass plugin module directory has been reorganized.  I see that the changes make at [

http://trac.osgeo.org/qgis/changeset?new=trunk%2Fqgis%2Fsrc%2Fplugins%2Fgrass%2FCMakeLists.txt%4010908&#38;old=trunk%

Fqgis%2Fsrc%2Fplugins%2Fgrass%2FCMakeLists.txt%4010893] is not compatible with grass svn.

As a temporarily fixed, I did this:

ln -s /home/bobm/src/gis/qgis_svn/build/modules-6.4 /home/bobm/src/gis/qgis_svn/build/modules-6.5

I'm guessing that there are differences between the modules in GRASS 6.4 vs GRASS svn, so this is not an optimal solution.

History

#1 - 2009-06-15 08:15 AM - Lorenzo Masini

- Status changed from Open to In Progress

Could you list me the modules that don't work with grass-6.5 (and maybe 7.0) so I will create the right directories with right module definitions in them?

#2 - 2009-06-15 11:19 AM - cgsbob -

I've cc'd grass-dev@lists.osgeo.org since there might be some interest in this bug.

#3 - 2010-01-30 12:14 PM - Maciej Sieczka -

Still the case as of HEAD :

CMake Error at src/plugins/grass/CMakeLists.txt:8 (MESSAGE):

  Your GRASS version is not supported
  (/home/zxc/src/straight/qgis-trunk/src/plugins/grass/modules-6.5 is not

  found).

CMake Error at src/plugins/grass/CMakeLists.txt:11 (MESSAGE):

  Your GRASS version is not supported

  (/home/zxc/src/straight/qgis-trunk/src/plugins/grass/modules-6.5 is not a

  Directory).

CMake Error at src/plugins/grass/CMakeLists.txt:14 (SUBDIRS):

  subdirs Incorrect SUBDIRS command.  Directory: modules-6.5 does not exists.

Symlink works for the compilation.

#4 - 2010-04-28 08:51 AM - Redmine Admin

Because current modules-x.x system requires duplication of data and in general is not very flexible, I would suggest to replace it with additional attributes in

qgm config files for min/max version of GRASS an option is valid for, for example:

<option key="map" until="6.0">

<option key="vectormap" since="6.1" until="6.3">

<option key="vector" since="6.4">

Similarly for whole modules.

#5 - 2011-04-16 06:11 AM - Markus Neteler

In my opinion the support for GRASS 6.3 can be dropped.

#6 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2011-12-23 09:36 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Assignee deleted (Lorenzo Masini)

#8 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#9 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#10 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#11 - 2015-11-13 07:22 AM - Radim Blazek
- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

GRASS versions are supported by optional attributes in qgm and qgc files and all modules were upgraded for GRASS 6.4 and GRASS 7.0 in QGIS 2.12.
